Package org.codehaus.janino

# Interface Java.FieldDeclarationOrInitializer

All Superinterfaces:
  `Java.BlockStatement`, `Java.Locatable`, `Java.Scope`, `Java.TypeBodyDeclaration`

All Known Implementing Classes:
  `Java.FieldDeclaration`, `Java.Initializer`

Enclosing class:
  `Java`

public static interface Java.FieldDeclarationOrInitializer extends Java.BlockStatement, Java.TypeBodyDeclaration

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.FieldDeclarationOrInitializerVisitor<R,EX> visitor)`

### Methods inherited from interface org.codehaus.janino.Java.BlockStatement

`accept, findLocalVariable, getEnclosingScope, setEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.TypeBodyDeclaration

`accept, getDeclaringType, getModifiers, setDeclaringType`

## Method Details

### accept

@Nullable <R, EX extends Throwable> R accept(Visitor.FieldDeclarationOrInitializerVisitor<R,EX> visitor) throws EX

Throws:
  `EX`